Bug 46184 - [Calc] [AutoFilter] Option "Copy results to ..." remains activated in AutoFilter
Summary: [Calc] [AutoFilter] Option "Copy results to ..." remains activated in AutoFilter
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: All All
: medium normal
Assignee: Tünde Tóth
URL:
Whiteboard: target:7.3.0 target:7.2.0.2
Keywords:
Depends on:
Blocks: AutoFilter
  Show dependency treegraph
 
Reported: 2012-02-16 09:18 UTC by Michel Rudelle
Modified: 2021-07-23 21:00 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Testing spreadsheet (8.43 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-02-17 01:19 UTC, pierre-yves samyn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michel Rudelle 2012-02-16 09:18:22 UTC
Procedure to reproduce:

Step 1:
  Open a new spreadsheet with at least 2 sheets
  Enter some values in column A (Sheet1)
  Apply the AutoFilter to this column
  Select a value - click OK
  > Observed result: correct, the line with the selected value displays only in Sheet1.

Step 2:
  Activate the AutoFilter
  Select the Standard Filter from the dialogue box of the AutoFilter
  More options > Activate check box "Copy results to ..." and select for example cell $Sheet2.$B$4 - click OK
  > Observed result: correct, Sheet2 is selected and the result is copied in the chosen location.

Step 3:
  Return to Sheet1 to activate the AutoFilter
  Select new values - click OK
  > Observed result: Sheet2 is selected and the values are copied towards Sheet2 in the previously defined location
  > Expected result: stay in Sheet1 and display lines containing the selected values, as in step 1.

Step 4:
  To find the expected result, re-select the Standard Filter and inactivate check box "Copy results to …"
  Now the AutoFilter will work as in step 1.

This does not occur on LibO 3.4 because the check box "Copy results to ..." is automatically inactivated when switching from Standard Filter to AutoFilter on the same selection.

The behaviour of the version 3.4 is logical and must be preserved, because this option is not visible from the AutoFilter.

Thank you for looking at that.
Comment 1 pierre-yves samyn 2012-02-17 01:18:11 UTC
Hello

I confirm with LibO 3.5 & Windows 7 64 bits

Steps to reproduce :

1. Open the attached spreadsheet  (Sheet1 contains data with Autofilter on)
2. A1 Click on the list
3. Selected "Bass" for instance
4. Click on Ok

Expected result : rows filtered on Sheet1
Actual result : rows filtered on Sheet2

Explanation : Data> Filter> Standard filter > More options > "Copy results to" is enabled with $Sheet2.$A$1

Does not occur on LibO 3.4 : regression or new feature ?

As Michel says the behaviour of the version 3.4 seems logical and might be preserved, because this option (copy results to) is not visible from the AutoFilter.

Additional Information: Reproduced on [fr-discuss]

Best regards
Comment 2 pierre-yves samyn 2012-02-17 01:19:48 UTC
Created attachment 57193 [details]
Testing spreadsheet
Comment 3 Jean-Baptiste Faure 2012-02-19 04:06:37 UTC
Of course reproducible on Ubuntu. Even in LO 3.5.1 rc0+ (LibreOffice 3.5.1rc0+ 
Version ID : c3f76c5-fe97bc5-f9b8d0b-f269e46-24eb504) and the master (LibreOffice 3.6.0alpha0+ Version ID : cdf0c78-babed3d-39746e8-f0d66fd-fefd87)

Set OS to All

Kohei: I think it is in your area. Please feel free to reassign if you can't handle this.

Best regards. JBF
Comment 4 QA Administrators 2015-02-19 15:39:26 UTC Comment hidden (obsolete)
Comment 5 Jean-Baptiste Faure 2015-02-21 09:34:41 UTC
Nothing has changed for me since I tested it in comment #3


Best regards. JBF
Comment 6 tommy27 2016-04-16 07:28:11 UTC Comment hidden (obsolete)
Comment 7 Jean-Baptiste Faure 2016-04-19 18:22:42 UTC
Nothing has changed since I tested this bug a year ago.

Best regards. JBF
Comment 8 QA Administrators 2017-05-22 13:25:53 UTC Comment hidden (obsolete)
Comment 9 Jean-Baptiste Faure 2017-07-06 14:42:55 UTC
Nothing changed. Tested with LO 5.4.0.1.0+ under Ubuntu 16.04.

Best regards. JBF
Comment 10 QA Administrators 2018-07-07 02:39:32 UTC Comment hidden (obsolete)
Comment 11 Michel Rudelle 2018-07-07 12:39:24 UTC
Nothing has changed. Tested with LO 5.4.7.2 and 6.0.5.2 under Windows 7
Comment 12 Oliver Brinzing 2019-02-20 18:09:58 UTC
i can confirm this behaviour with

Version: 6.1.5.2 (x64)
Build ID: 90f8dcf33c87b3705e78202e3df5142b201bd805
CPU threads: 4; OS: Windows 10.0; UI render: default; 
Locale: de-DE (de_DE); Calc: 

and with demo spreadsheet from issue 
Bug 123598 - Autofilter removed from output range after save & reload 
https://bugs.documentfoundation.org/attachment.cgi?id=149441&action=edit

but i can *not* confirm it if option
"[ ] Keep filter criteria" is *disabled*
Comment 13 QA Administrators 2021-02-20 04:05:47 UTC Comment hidden (obsolete)
Comment 14 Jean-Baptiste Faure 2021-02-21 15:25:47 UTC
Still reproducible in LO 7.1.2.0.0+ :

Version: 7.1.2.0.0+ / LibreOffice Community
Build ID: a1f5d08fbaed7d1f7acf14227a9d28d12bba8ef2
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3
Locale: fr-FR (fr_FR.UTF-8); UI: fr-FR
Ubuntu_18.04_x86-64
Calc: threaded

Best regards. JBF
Comment 15 stragu 2021-06-14 22:09:17 UTC
Reproducible with:

Version: 7.2.0.0.alpha1+ / LibreOffice Community
Build ID: bb54d6d8241a06a6772052b77b67d6a4f686426c
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: gtk3
Locale: en-AU (en_AU.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2021-06-11_20:14:38
Calc: threaded
Comment 16 Commit Notification 2021-07-20 13:15:56 UTC
Tünde Tóth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d824db8ee208cff8029752ca753815be8ca2fff4

tdf#46184 sc AutoFilter: reset filter options to default values

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Commit Notification 2021-07-20 15:56:33 UTC
Tünde Tóth committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/92dbfa5415bfae55e0770609b9e81e4c409f1c80

tdf#46184 sc AutoFilter: reset filter options to default values

It will be available in 7.2.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 18 BogdanB 2021-07-23 21:00:32 UTC
Thanks for solving this bug.

Verified in
Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: 612d5b1a04fe022a34018d901bb9b052791d54e5
CPU threads: 4; OS: Linux 5.8; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded